Create Lead

This API creates Lead record by taking basic inputs like Name, Email ID, Website, DOB, Phone number etc.

Generated from cURL: curl 'https://qa.emotivesoft.io/api/resource/Lead'
-H 'Accept: application/json'
-H 'Accept-Language: en-GB,en-US;q=0.9,en;q=0.8'
-H 'Connection: keep-alive'
-H 'Content-Type: application/json; charset=UTF-8'
-b 'user_image=; sid=71f16233e2d31e627547718e54d87d2a17295b0ba3ca7f25291123b3; system_user=yes; full_name=Santhosh Kumar; user_id=[email protected]'
-H 'Origin: https://qa.emotivesoft.io'
-H 'Referer: https://qa.emotivesoft.io/dashboard/leads?currentTab=All+Leads#all'
-H 'Sec-Fetch-Dest: empty'
-H 'Sec-Fetch-Mode: cors'
-H 'Sec-Fetch-Site: same-origin'
-H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/138.0.0.0 Safari/537.36'
-H 'X-Frappe-CSRF-Token: da9aa8147551b9ec1d6c8b3d4fee88c220f50a0c628a2cfacffe0108'
-H 'X-Frappe-Site-Name: qa.emotivesoft.io'
-H 'sec-ch-ua: "Not)A;Brand";v="8", "Chromium";v="138", "Google Chrome";v="138"'
-H 'sec-ch-ua-mobile: ?0'
-H 'sec-ch-ua-platform: "macOS"'
--data-raw '{"phone_nos":[{"is_priority":1,"type":"Mobile","phone":"1110000244"}],"first_name":"Sridhar","last_name":"Gupta","middle_name":"Y","suffix":"Sr.","email_id":"[email protected]","website":"www.www.www","date_of_birth":"1985-12-19"}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Request

{
    "phone_nos": [
        {
            "is_priority": 1,
            "type": "Mobile",
            "phone": "1110000244"
        }
    ],
    "first_name": "Sridhar",
    "last_name": "Gupta",
    "middle_name": "Y",
    "suffix": "Sr.",
    "email_id": "[email protected]",
    "website": "www.www.www",
    "date_of_birth": "1985-12-19"
}

Response Explanation

Returns a JSON object with details of the created lead.


Response Body Parameters

  • name (string)
    Unique identifier for the newly created lead (e.g., "2026-LEAD-01-0000002").

  • first_name (string)
    Lead's first name.

  • last_name (string)
    Lead's last name.

  • middle_name (string)
    Lead's middle name.

  • suffix (string)
    Suffix for the lead’s name.

  • email_id (string)
    Lead's email address.

  • website (string)
    Website associated with the lead, if provided.

  • date_of_birth (string)
    Lead's date of birth in YYYY-MM-DD format.

  • phone_nos (array)
    List of phone number objects for the lead:

    • is_priority (number) — Priority indicator.
    • type (string) — Type of phone.
    • phone (string) — Phone number.
  • owner (string)
    Email address of the user who created the lead.

  • creation (string)
    Date/time when the lead was created (timestamp).

  • modified (string)
    Date/time when the lead was last modified (timestamp).

Example Response


{
    "name": "2026-LEAD-01-0000002",
    "first_name": "Sridhar",
    "last_name": "Gupta",
    "middle_name": "Y",
    "suffix": "Sr.",
    "email_id": "[email protected]",
    "website": "www.www.www",
    "date_of_birth": "1985-12-19",
    "phone_nos": [
        {
            "is_priority": 1,
            "type": "Mobile",
            "phone": "1110000244"
        }
    ],
    "owner": "[email protected]",
    "creation": "2026-01-22 10:30:00.000000",
    "modified": "2026-01-22 10:30:00.000000"
}
Body Params
phone_nos
array of objects
required
phone_nos*
string
required
Defaults to Sridhar
string
required
Defaults to Gupta
string
required
Defaults to Y
string
required
Defaults to Sr.
string
required
Defaults to [email protected]
string
required
Defaults to www.www.www
string
required
Defaults to 1985-12-19
Headers
string
required
Defaults to <Token>
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json